import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.segments.update(
'78261eea-8f8b-4381-83c6-79fa7120f1cf',
{
name: 'Active Users',
},
);
import resend
resend.api_key = 're_xxxxxxxxx'
params: resend.Segments.UpdateParams = {
"name": "Active Users",
}
segment = resend.Segments.update('78261eea-8f8b-4381-83c6-79fa7120f1cf', params)
require "resend"
Resend.api_key = "re_xxxxxxxxx"
params = {
segment_id: "78261eea-8f8b-4381-83c6-79fa7120f1cf",
name: "Active Users"
}
Resend::Segments.update(params)
package main
import (
"context"
"fmt"
"github.com/resend/resend-go/v3"
)
func main() {
ctx := context.TODO()
client := resend.NewClient("re_xxxxxxxxx")
params := &resend.UpdateSegmentRequest{
Name: "Active Users",
}
segment, err := client.Segments.UpdateWithContext(ctx, "78261eea-8f8b-4381-83c6-79fa7120f1cf", params)
if err != nil {
panic(err)
}
fmt.Println(segment)
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
var resp = await resend.SegmentUpdateAsync( new Guid( "78261eea-8f8b-4381-83c6-79fa7120f1cf" ), new SegmentData() {
Name = "Active Users",
} );
Console.WriteLine( "Segment Id={0}", resp.Content.Id );
curl -X PATCH 'https://api.resend.com/segments/78261eea-8f8b-4381-83c6-79fa7120f1cf' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Active Users"
}'
resend segments update 78261eea-8f8b-4381-83c6-79fa7120f1cf --name "Active Users"
{
"object": "segment",
"id": "78261eea-8f8b-4381-83c6-79fa7120f1cf"
}
Update Segment
Update an existing segment.
PATCH
/
segments
/
:segment_id
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.segments.update(
'78261eea-8f8b-4381-83c6-79fa7120f1cf',
{
name: 'Active Users',
},
);
import resend
resend.api_key = 're_xxxxxxxxx'
params: resend.Segments.UpdateParams = {
"name": "Active Users",
}
segment = resend.Segments.update('78261eea-8f8b-4381-83c6-79fa7120f1cf', params)
require "resend"
Resend.api_key = "re_xxxxxxxxx"
params = {
segment_id: "78261eea-8f8b-4381-83c6-79fa7120f1cf",
name: "Active Users"
}
Resend::Segments.update(params)
package main
import (
"context"
"fmt"
"github.com/resend/resend-go/v3"
)
func main() {
ctx := context.TODO()
client := resend.NewClient("re_xxxxxxxxx")
params := &resend.UpdateSegmentRequest{
Name: "Active Users",
}
segment, err := client.Segments.UpdateWithContext(ctx, "78261eea-8f8b-4381-83c6-79fa7120f1cf", params)
if err != nil {
panic(err)
}
fmt.Println(segment)
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
var resp = await resend.SegmentUpdateAsync( new Guid( "78261eea-8f8b-4381-83c6-79fa7120f1cf" ), new SegmentData() {
Name = "Active Users",
} );
Console.WriteLine( "Segment Id={0}", resp.Content.Id );
curl -X PATCH 'https://api.resend.com/segments/78261eea-8f8b-4381-83c6-79fa7120f1cf' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Active Users"
}'
resend segments update 78261eea-8f8b-4381-83c6-79fa7120f1cf --name "Active Users"
{
"object": "segment",
"id": "78261eea-8f8b-4381-83c6-79fa7120f1cf"
}
Path Parameters
Body Parameters
string
required
The name of the segment.
import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.segments.update(
'78261eea-8f8b-4381-83c6-79fa7120f1cf',
{
name: 'Active Users',
},
);
import resend
resend.api_key = 're_xxxxxxxxx'
params: resend.Segments.UpdateParams = {
"name": "Active Users",
}
segment = resend.Segments.update('78261eea-8f8b-4381-83c6-79fa7120f1cf', params)
require "resend"
Resend.api_key = "re_xxxxxxxxx"
params = {
segment_id: "78261eea-8f8b-4381-83c6-79fa7120f1cf",
name: "Active Users"
}
Resend::Segments.update(params)
package main
import (
"context"
"fmt"
"github.com/resend/resend-go/v3"
)
func main() {
ctx := context.TODO()
client := resend.NewClient("re_xxxxxxxxx")
params := &resend.UpdateSegmentRequest{
Name: "Active Users",
}
segment, err := client.Segments.UpdateWithContext(ctx, "78261eea-8f8b-4381-83c6-79fa7120f1cf", params)
if err != nil {
panic(err)
}
fmt.Println(segment)
}
using Resend;
IResend resend = ResendClient.Create( "re_xxxxxxxxx" ); // Or from DI
var resp = await resend.SegmentUpdateAsync( new Guid( "78261eea-8f8b-4381-83c6-79fa7120f1cf" ), new SegmentData() {
Name = "Active Users",
} );
Console.WriteLine( "Segment Id={0}", resp.Content.Id );
curl -X PATCH 'https://api.resend.com/segments/78261eea-8f8b-4381-83c6-79fa7120f1cf' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Active Users"
}'
resend segments update 78261eea-8f8b-4381-83c6-79fa7120f1cf --name "Active Users"
{
"object": "segment",
"id": "78261eea-8f8b-4381-83c6-79fa7120f1cf"
}
Was this page helpful?
⌘I